Name:           curry
Version:        0.9.11
Release:        11%{?dist}
Summary:        Münster Curry compiler

Group:          Development/Languages
License:        BSD
URL:            http://danae.uni-muenster.de/~lux/curry
Source:         http://danae.uni-muenster.de/~lux/curry/download/curry-0.9.11/curry-0.9.11.tar.gz
Patch0:		curry-strip.patch
BuildRequires:  ghc-haskell98-devel
Requires:	gcc
ExcludeArch:    ppc64 alpha

%description
The Münster Curry compiler is a native code compiler for the
declarative multi-paradigm language Curry.


%prep
%setup -q
%patch0 -p1


%build
%configure
# _smp_mflags breaks the build
# curry/{Parser,Trace}.curry are ISO-8859
LANG=en_US.ISO8859-1 make


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc LICENSE README NEWS doc/report.pdf doc/user.pdf
%{_bindir}/*
%{_libdir}/curry-%{version}
%{_mandir}/man*/*


%changelog
* Mon Mar  5 2012 Jens Petersen <petersen@redhat.com> - 0.9.11-11
- BR ghc-haskell98-devel instead of ghc
- compile with iso8859-1 encoding to build with ghc7

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-10.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.9.11-9.2
- rebuild with new gmp without compat lib

* Mon Oct 10 2011 Peter Schiffer <pschiffe@redhat.com> - 0.9.11-9.1
- rebuild with new gmp

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.9.11-9
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Gerard Milmeister <gemi@bluewin.ch> - 0.9.11-5
- added alpha to excludearch

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.11-4
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.9.11-3
- Rebuild for selinux ppc32 issue.

* Wed Jun 13 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.9.11-2
- exclude arch ppc64

* Tue Jun 12 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.9.11-1
- new version 0.9.11

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.9.10-3
- Rebuild for FE6

* Tue Jun  6 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.9.10-2
- disable %%{_smp_mflags}
- change license to BSD
- disable stripping of binaries

* Sat Jun  3 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.9.10-1
- new version 0.9.10

* Sat Sep  3 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.9.9-1
- New Version 0.9.9

* Mon Dec  6 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.9.8-0.fdr.1
- New Version 0.9.8

* Sat Jun 12 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.9.7-0.fdr.1
- First Fedora release
